namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter06.Listing06_48
{
    using System;

    // Plik: Program.cs
    partial class Program
    {
        static void Main(string[] args)
        {
            CommandLine commandLine = new CommandLine(args);

            switch(commandLine.Action)
            {
                // ...
            }
        }
    }

    // Plik: Program+CommandLine.cs
    partial class Program
    {
        // Definicja klasy zagnieżdżonej służącej do przetwarzania instrukcji z wiersza poleceń.
        private class CommandLine
        {
            public CommandLine(string[] args)
            {
                // Brak implementacji.
            }

            // ...
            public int Action
            {
                get { throw new NotImplementedException(); }
                set { throw new NotImplementedException(); }
            }
        }
    }
}
